Bug 1292930 - ONBOOT is broken in "network" in Kickstarts [NEEDINFO]
ONBOOT is broken in "network" in Kickstarts
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 14:04 EST by Ashley Penney
Modified: 2016-01-29 15:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 15:41:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rvykydal: needinfo? (apenney)


Attachments (Terms of Use)

  None (edit)
Description Ashley Penney 2015-12-18 14:04:46 EST
Description of problem:

If you set --onboot=no or --onboot=false in `network` in a kickstart stanza the device will be set to ONBOOT=yes on boot.

THIS IS FIXED IN FEDORA 23 (I think that's important enough for caps)

Version-Release number of selected component (if applicable):

Tested against the latest in 7.2.

How reproducible:

Every time.

Steps to Reproduce:
1. Make a template with --onboot=no
2. Build a server.
3. Reboot, cat the network-scripts, despair at ONBOOT=yes

Actual results:

ONBOOT=yes in ifcfg-enp2s0f0

Expected results:

ONBOOT=no in ifcfg-enp2s0f0, which is what happens with Fedora 23.

Additional info:
Comment 2 Radek Vykydal 2015-12-21 05:01:15 EST
Please attach installation logs as individual plain text files. You can gather them in /tmp/ (accessible from shell after switching to tty2) at the end of installation or in /var/log/anaconda of installed system.

anaconda.log
anaconda.syslog (in /tmp the file name is syslog)
ifcfg.log
program.log
storage.log

Thank you.

Note You need to log in before you can comment on or make changes to this bug.